# Purr - Password Generation and Secret Sharing
![Big Purr and Sploot](https://eversole.co/Purr-Small.png "Purr!")  
Purr is a work-in-progress web application offering customizable password generation and time-limited sharing of secrets.

## What problems does Purr solve?
1. Generating sufficiently memorable but secure passwords for use with accounts that don't offer better authentication methods.
2. Sharing text secrets with others without disclosing the secret in the message itself. As secrets expire after a predefined period, the email/chat history where the information was shared don't become a purr-manent (sorry, **permanent**) vulnerability.
3. Being really cute compared to the competition.

## Why should I trust you with my secrets?
You shouldn't! This is [free and open-source software](https://git.eversole.co/James/Purr/src/branch/main/LICENSE) which you can run on your own hardware. Instructions for deployment are coming!

## Tech Stack?
1. [Haskell](https://www.haskell.org) and [Scotty](https://github.com/scotty-web/scotty) backend.
2. [HTMX](https://github.com/bigskysoftware/htmx) for the frontend.
3. [SQLite](https://github.com/sqlite/sqlite) database.

## Project Goals
1. Provide a minimal and clean interface for generating and sharing passwords.
2. Maintain a clean and organized codebase that can be extended to include more utilities than originally anticipated.

## Development & Support
Please send me an [email](mailto:james@eversole.co) for support. 

Copyright (C) 2022-2022 [James Eversole](https://eversole.co)
